<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/settings.php';
$temp_set = $set;
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';

access('adm_set_loads', null, 'index.php?' . SID);
adm_check();

$set['title'] = lang('Параметры загрузок');

include_once '../sys/inc/thead.php';

if (isset($_POST['save'])) {
    $temp_set['downloads_select'] = intval($_POST['downloads_select']);
    $temp_set['data_select'] = intval($_POST['data_select']);
    $temp_set['opis_select'] = intval($_POST['opis_select']);
    $temp_set['prosm_select'] = intval($_POST['prosm_select']);
    $temp_set['skrin_select'] = intval($_POST['skrin_select']);
    $temp_set['nth_select'] = intval($_POST['nth_select']);
    $temp_set['video_select'] = intval($_POST['video_select']);
    $temp_set['thm_select'] = intval($_POST['thm_select']);
    $temp_set['info_select'] = intval($_POST['info_select']);
    $temp_set['loads_new_file_hour'] = intval($_POST['loads_new_file_hour']);

    if ($_POST['echo_rassh'] == 1 || $_POST['echo_rassh'] == 0) {
        $temp_set['echo_rassh'] = intval($_POST['echo_rassh']);
    }

    if (is_file(H . $_POST['copy_path']) || $_POST['copy_path'] == null) {
        $temp_set['copy_path'] = $_POST['copy_path'];
    }

    if (save_settings($temp_set)) {

        admin_log('Настройки', 'Загрузки', 'Изменение настроек загруз-центра');
        msg('Настройки успешно приняты');
    } else {
        $err = 'Нет прав для изменения файла настроек';
    }
}
err();
aut();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='" . DIR_PANEL . "'>" . lang('Панель управления') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Параметры загрузок');
echo "</small></div><br />";


echo "<form method=\"post\" class='list-group-item-null' action=\"?\">\n";

echo "Режим скачивания:<br />\n<select name=\"downloads_select\" class='form-control'>\n";
echo "<option value=\"0\">Разрешено всем</option>\n";
if ($temp_set['downloads_select'] == '1') {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}
echo "<option value=\"1\"$sel>Только авторизованым</option>\n";
if ($temp_set['downloads_select'] == '2')
    $sel = ' selected="selected"';
else
    $sel = NULL;
echo "<option value=\"2\"$sel>Авторизованым + 100 рублей</option>\n";
echo "</select>\n";

echo "Режим вывода даты добавления:<br />\n<select name=\"data_select\" class='form-control'>\n";
echo "<option value=\"0\">Вывод даты добавления файла с базы</option>\n";
if ($temp_set['data_select'] == '1')
    $sel = ' selected="selected"';
else
    $sel = NULL;
echo "<option value=\"1\"$sel>Вывод даты добавления файла с сервера</option>\n";
echo "</select>\n";

echo "Режим вывода описания файла:<br />\n<select name=\"opis_select\" class='form-control'>\n";
echo "<option value=\"0\">Вывод описания файла с сервера</option>\n";
if ($temp_set['opis_select'] == '1')
    $sel = ' selected="selected"';
else
    $sel = NULL;
echo "<option value=\"1\"$sel>Вывод описания файла с базы</option>\n";
echo "</select>\n";

echo "Режим прослушываниея в з-ц mp3:<br />\n<select name=\"prosm_select\" class='form-control'>\n";
echo "<option value=\"0\">Запрещено</option>\n";
if ($temp_set['prosm_select'] == '1')
    $sel = ' selected="selected"';
else
    $sel = NULL;
echo "<option value=\"1\"$sel>Разрешено</option>\n";
echo "</select>\n";

echo "Вывод скрина и кусок описания к файлу когда вы находитесь в папке:<br />\n<select name=\"skrin_select\" class='form-control'>\n";
echo "<option value=\"0\">Скрин + описание</option>\n";
if ($temp_set['skrin_select'] == '1')
    $sel = ' selected="selected"';
else
    $sel = NULL;
echo "<option value=\"1\"$sel>Только скрин</option>\n";
if ($temp_set['skrin_select'] == '2')
    $sel = ' selected="selected"';
else
    $sel = NULL;
echo "<option value=\"2\"$sel>Только описание</option>\n";
if ($temp_set['skrin_select'] == '3')
    $sel = ' selected="selected"';
else
    $sel = NULL;
echo "<option value=\"3\"$sel>Без скрина и описания</option>\n";
echo "</select>\n";

echo "Создание скрина системой к файлам формата *.nth:<br />\n<select name=\"nth_select\" class='form-control'>\n";
echo "<option value=\"0\">Включено</option>\n";
if ($temp_set['nth_select'] == '1')
    $sel = ' selected="selected"';
else
    $sel = NULL;
echo "<option value=\"1\"$sel>Выключено</option>\n";
echo "</select>\n";

echo "Создание скрина системой к видео файлам:<br />\n<select name=\"video_select\" class='form-control'>\n";
echo "<option value=\"0\">Включено</option>\n";
if ($temp_set['video_select'] == '1')
    $sel = ' selected="selected"';
else
    $sel = NULL;
echo "<option value=\"1\"$sel>Выключено</option>\n";
echo "</select>\n";

echo "Создание скрина системой к файлам формата *.thm:<br />\n<select name=\"thm_select\" class='form-control'>\n";
echo "<option value=\"0\">Включено</option>\n";
if ($temp_set['thm_select'] == '1')
    $sel = ' selected="selected"';
else
    $sel = NULL;
echo "<option value=\"1\"$sel>Выключено</option>\n";
echo "</select>\n";

echo "Подробная информация выполняемых действий:<br />\n<select name=\"info_select\" class='form-control'>\n";
echo "<option value=\"0\">Включено</option>\n";
if ($temp_set['info_select'] == '1')
    $sel = ' selected="selected"';
else
    $sel = NULL;
echo "<option value=\"1\"$sel>Выключено</option>\n";
echo "</select>\n";

echo "Показ расширений файлов:<br />\n<select name=\"echo_rassh\" class='form-control'>\n";
if ($temp_set['echo_rassh'] == 1)
    $sel = ' selected="selected"';
else
    $sel = NULL;
echo "<option value=\"1\"$sel>Показывать</option>\n";
if ($temp_set['echo_rassh'] == 0)
    $sel = ' selected="selected"';
else
    $sel = NULL;
echo "<option value=\"0\"$sel>Скрывать</option>\n";
echo "</select>\n";


echo "Время, в течении которого файл считается новым (часы):<br />\n<input type='text' name='loads_new_file_hour' value='$temp_set[loads_new_file_hour]' class='form-control'/><br />\n";
echo "Файл копирайта (на картинки):<br />\n<input type='text' name='copy_path' value='$temp_set[copy_path]' class='form-control'/><br />\n";

$doc->Button('btn btn-success btn-sm', 'save', 'save', 'Сохранить');
echo "</form>\n";

include_once '../sys/inc/tfoot.php';
?>